/*
	const.h
	Pretty much all modifiable variables are contained within
*/


//These variables determine the size of the noise array and how many octaves there are in
//the Perlin noise
#define NOISE_SIZE				128				
#define RAND_SIZE				NOISE_SIZE*NOISE_SIZE
#define CLOUD_SIZE 512
#define pixel_size (1/128.0f)

float balloon_material[] = {0.7f, 0.0f, 0.0f, 1.0f};
#define HIGH_FADE 2900
#define LOW_FADE 50
#define HEIGHT 100
#define CEILING 3000

#define BALLOONS 40
#define DISPLACEMENT 1000

Vector high(0,500000,0); //The apex of the sky dome (when rendered, it is translated down considerably)
float angle = 80; //angle should be an even number

//What really governs the length of the string is the elast and grav variables, but a length of five
//lets the string reach its equilibrium fairly quickly
#define STRING_LENGTH 5 
#define L_SQUARED (STRING_LENGTH*STRING_LENGTH)
#define elast .01
#define NUM_KNOTS 15  //If you want to lengthen or shorten the string, change this variable
Vector grav(0,-.05,0);

#define SIZE 500
#define OFFSET 1 //In a kludgy way, this controls how "turbulent" the winds are
float inertia = 20; //Can't be 0, lower numbers increase turbulence as well
float vel = .07; //Governs how fast the balloons move

//These control the shape of the balloon. If you want to change their shape, play around with the bottom
//vector
Vector p1(0.0f, 1.0f, 0.0f); 
Vector p2(0.0f, 0.0f, 0.0f);
Vector t1(1.0f, 0.0f, 0.0f);
Vector t2(-2.0f, -1.0f, 0.0f);

#define BUOYANCY vel //A hack, but what'll you do